Retrieve Multiple Tags
https://mapi.storyblok.com/v1/spaces/:space_id/tagsRetrieve a paginated array of tag objects. This endpoint includes parameters that allow filtering the response and retrieving information about the tags assigned to stories.
Path parameters
Section titled “Path parameters”- :space_id required number
Numeric ID of a space.
Query parameters
Section titled “Query parameters”- search string
Search by tag name.
- all_tags string
Display all tags in the space. Accepts any arbitrary value.
- per_page number
Default:
25. Max:100. Learn more about pagination. - page number
Default:
1. Learn more about pagination.
Response properties
Section titled “Response properties”- tags The Tag Object[]
An array of tag objects.
Examples
Section titled “Examples”Example request with the search query parameter
curl "https://mapi.storyblok.com/v1/spaces/288868932106293/tags/\?search=Featured" \ -H "Authorization: YOUR_OAUTH_TOKEN"// storyblok-js-client@>=7, node@>=18import Storyblok from "storyblok-js-client";
const storyblok = new Storyblok({ oauthToken: "YOUR_PERSONAL_ACCESS_TOKEN",});
try { const response = await storyblok.get('spaces/288868932106293/tags/', { "search": "Featured"}) console.log({ response })} catch (error) { console.log(error)}$client = new \Storyblok\ManagementClient('YOUR_OAUTH_TOKEN');
$client->get('spaces/288868932106293/tags/', [ "search" => "Featured"])->getBody();HttpResponse<String> response = Unirest.get("https://mapi.storyblok.com/v1/spaces/288868932106293/tags/?search=Featured") .header("Authorization", "YOUR_OAUTH_TOKEN") .asString();var client = new RestClient("https://mapi.storyblok.com/v1/spaces/288868932106293/tags/?search=Featured");var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "YOUR_OAUTH_TOKEN");IRestResponse response = client.Execute(request);import requests
url = "https://mapi.storyblok.com/v1/spaces/288868932106293/tags/"
querystring = {"search":"Featured"}
payload = ""headers = { 'Authorization': "YOUR_OAUTH_TOKEN"}
response = requests.request("GET", url, data=payload, headers=headers, params=querystring)
print(response.text)require 'storyblok'client = Storyblok::Client.new(oauth_token: 'YOUR_OAUTH_TOKEN')
client.get('spaces/288868932106293/tags/', {:params => { "search" => "Featured"}})let storyblok = URLSession(storyblok: .mapi(accessToken: .oauth("YOUR_OAUTH_TOKEN")))var request = URLRequest(storyblok: storyblok, path: "spaces/288868932106293/tags/")request.url!.append(queryItems: [ URLQueryItem(name: "search", value: "Featured")])let (data, _) = try await storyblok.data(for: request)print(try JSONSerialization.jsonObject(with: data))val client = HttpClient { install(Storyblok(MAPI)) { accessToken = OAuth("YOUR_OAUTH_TOKEN") }}
val response = client.get("spaces/288868932106293/tags/") { url { parameters.append("search", "Featured") }}
println(response.body<JsonElement>())Example request with the all_tags query parameter
curl "https://mapi.storyblok.com/v1/spaces/288868932106293/tags/\?all_tags=true\&page=1\&per_page=5" \ -H "Authorization: YOUR_OAUTH_TOKEN"// storyblok-js-client@>=7, node@>=18import Storyblok from "storyblok-js-client";
const storyblok = new Storyblok({ oauthToken: "YOUR_PERSONAL_ACCESS_TOKEN",});
try { const response = await storyblok.get('spaces/288868932106293/tags/', { "all_tags": "true", "page": "1", "per_page": "5"}) console.log({ response })} catch (error) { console.log(error)}$client = new \Storyblok\ManagementClient('YOUR_OAUTH_TOKEN');
$client->get('spaces/288868932106293/tags/', [ "all_tags" => "true", "page" => "1", "per_page" => "5"])->getBody();HttpResponse<String> response = Unirest.get("https://mapi.storyblok.com/v1/spaces/288868932106293/tags/?all_tags=true&page=1&per_page=5") .header("Authorization", "YOUR_OAUTH_TOKEN") .asString();var client = new RestClient("https://mapi.storyblok.com/v1/spaces/288868932106293/tags/?all_tags=true&page=1&per_page=5");var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "YOUR_OAUTH_TOKEN");IRestResponse response = client.Execute(request);import requests
url = "https://mapi.storyblok.com/v1/spaces/288868932106293/tags/"
querystring = {"all_tags":"true","page":"1","per_page":"5"}
payload = ""headers = { 'Authorization': "YOUR_OAUTH_TOKEN"}
response = requests.request("GET", url, data=payload, headers=headers, params=querystring)
print(response.text)require 'storyblok'client = Storyblok::Client.new(oauth_token: 'YOUR_OAUTH_TOKEN')
client.get('spaces/288868932106293/tags/', {:params => { "all_tags" => "true", "page" => "1", "per_page" => "5"}})let storyblok = URLSession(storyblok: .mapi(accessToken: .oauth("YOUR_OAUTH_TOKEN")))var request = URLRequest(storyblok: storyblok, path: "spaces/288868932106293/tags/")request.url!.append(queryItems: [ URLQueryItem(name: "all_tags", value: "true"), URLQueryItem(name: "page", value: "1"), URLQueryItem(name: "per_page", value: "5")])let (data, _) = try await storyblok.data(for: request)print(try JSONSerialization.jsonObject(with: data))val client = HttpClient { install(Storyblok(MAPI)) { accessToken = OAuth("YOUR_OAUTH_TOKEN") }}
val response = client.get("spaces/288868932106293/tags/") { url { parameters.append("all_tags", "true") parameters.append("page", "1") parameters.append("per_page", "5") }}
println(response.body<JsonElement>())Was this page helpful?
This site uses reCAPTCHA and Google's Privacy Policy (opens in a new window) . Terms of Service (opens in a new window) apply.
Get in touch with the Storyblok community